Package fr.gouv.vitam.functionaltest.cucumber.step

# Class IngestATRStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.IngestATRStep

public class IngestATRStep extends CommonStep
Class for ATR tests.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestATRStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `atr_contains_binary_objects(int nbBinaryObjects)`
  The atr contains the tag exactly the number given
  `void`
  `atr_contains_complex_value(String value)`
  Check if the ATR contains a complex string with special chars (like , " .
  `void`
  `atr_contains_n_times_the_tag(int count, String tag)`
  Check if the ATR contains the tag exactly the number of time given
  `void`
  `atr_contains_n_times_the_value(int count, String value)`
  Check if the ATR contains the value exactly the number of times given
  `void`
  `atr_contains_physical_objects(int nbPhysicalObjects)`
  The atr contains the tag exactly the number given
  `void`
  `atr_contains_units(int nbUnits)`
  The atr contains the tag exactly the number given
  `void`
  `atr_contains_value(String values)`
  Check if the atr contains the String values
  `void`
  `download_atr()`
  Download the ATR file
  `void`
  `final_status_atr(String replyCode)`
  Check the replyCode value in the ATR

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IngestATRStep

    public IngestATRStep(World world)

- ## Method Details

  - ### download_atr

    @When("je t\u00e9l\u00e9charge son fichier ATR") public void download_atr() throws VitamClientException, IOException
    Download the ATR file
    Throws:
      `VitamClientException`
      `IOException`

  - ### final_status_atr

    @Then("^l\'\u00e9tat final du fichier ATR est (.*)$") public void final_status_atr(String replyCode) throws IOException
    Check the replyCode value in the ATR
    Parameters:
      `replyCode` - reply code
    Throws:
      `IOException`

  - ### atr_contains_value

    @Then("^le fichier ATR contient (?:la|les) valeur[s]? (.*)$") public void atr_contains_value(String values) throws IOException
    Check if the atr contains the String values
    Parameters:
      `values` - values
    Throws:
      `IOException`

  - ### atr_contains_complex_value

    @Then("^le fichier ATR contient la cha\u00eene de caract\u00e8res$") public void atr_contains_complex_value(String value) throws IOException
    Check if the ATR contains a complex string with special chars (like , " . { })
    Parameters:
      `value` - value
    Throws:
      `IOException`

  - ### atr_contains_n_times_the_value

    @Then("^le fichier ATR contient (.*) fois la valeur (.*)$") public void atr_contains_n_times_the_value(int count, String value) throws IOException
    Check if the ATR contains the value exactly the number of times given
    Parameters:
      `count` - number of times
      `value` - value
    Throws:
      `IOException`

  - ### atr_contains_n_times_the_tag

    @Then("^le fichier ATR contient (.*) balise[s]? de type (.*)$") public void atr_contains_n_times_the_tag(int count, String tag) throws IOException
    Check if the ATR contains the tag exactly the number of time given
    Parameters:
      `count` - nomber of times
      `tag` - tag
    Throws:
      `IOException`

  - ### atr_contains_units

    @Then("^le fichier ATR contient (.*) unit\u00e9[s]? archivistique[s]?$") public void atr_contains_units(int nbUnits) throws IOException
    The atr contains the tag exactly the number given
    Parameters:
      `nbUnits` - number of units
    Throws:
      `IOException`

  - ### atr_contains_binary_objects

    @Then("^le fichier ATR contient (.*) objet[s]? binaire[s]?$") public void atr_contains_binary_objects(int nbBinaryObjects) throws IOException
    The atr contains the tag exactly the number given
    Parameters:
      `nbBinaryObjects` - number of binary objects
    Throws:
      `IOException`

  - ### atr_contains_physical_objects

    @Then("^le fichier ATR contient (.*) objet[s]? physique[s]?$") public void atr_contains_physical_objects(int nbPhysicalObjects) throws IOException
    The atr contains the tag exactly the number given
    Parameters:
      `nbPhysicalObjects` - number of physical objects
    Throws:
      `IOException`